---
updatedAt: 2026-08-05T11:36:35.000Z
agentTools:
  projectIndex: https://docs.striga.com/llms.txt
---

# Deposit via Lightning

Add funds to a Bitcoin account using the Lightning Network

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Business Wallets & Transactions",
    "description": "TODO"
  },
  "servers": [
    {
      "url": "https://www.sandbox.striga.com/api/v1/wallets"
    }
  ],
  "security": [
    {
      "apiKey": [],
      "authorization": []
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "paths": {
    "/business/account/lightning/topup": {
      "post": {
        "summary": "Deposit via Lightning",
        "description": "Add funds to a Bitcoin account using the Lightning Network",
        "tags": [
          "wallets"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/BusinessLightningTopUpRequest"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessLightningTopUpResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request. The request was unacceptable, often due to missing a required parameter.",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/BadRequestError"
                    },
                    {
                      "$ref": "#/components/schemas/BusinessNotFoundError"
                    },
                    {
                      "$ref": "#/components/schemas/WalletOwnerMismatchError"
                    },
                    {
                      "$ref": "#/components/schemas/WalletAccountNotActiveError"
                    },
                    {
                      "$ref": "#/components/schemas/RequestValidationError"
                    },
                    {
                      "$ref": "#/components/schemas/InvalidApplicationIdError"
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "description": "Invalid authentication header",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/AuthError"
                    },
                    {
                      "$ref": "#/components/schemas/BusinessUnapprovedIdentityError"
                    }
                  ]
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessSuspendedError"
                }
              }
            }
          },
          "500": {
            "description": "Unexpected server error.",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/GenericBusinessLightningTopUpError"
                    }
                  ]
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "apiKey": {
        "type": "apiKey",
        "in": "header",
        "name": "api-key",
        "description": "Your Striga API key"
      },
      "authorization": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "description": "Your HMAC signature"
      }
    },
    "schemas": {
      "BusinessLightningTopUpRequest": {
        "type": "object",
        "required": [
          "businessId",
          "accountId",
          "amount"
        ],
        "properties": {
          "businessId": {
            "type": "string",
            "description": "Unique Id of the business who is sending this transactions",
            "format": "uuid"
          },
          "accountId": {
            "type": "string",
            "description": "The Id of the account to credit",
            "example": "d3ec681f6f84f404554c44bba797315b"
          },
          "amount": {
            "type": "string",
            "description": "Amount in satoshis",
            "example": "500"
          },
          "memo": {
            "type": "string",
            "description": "An optional memo",
            "maxLength": 15,
            "example": "extend methodologies clicks-and-mortar"
          },
          "ttl": {
            "type": "string",
            "pattern": "^(?:[1-9]|[1-9]\\d{1,2}|1[0-3]\\d{2}|1440)$",
            "description": "LN Invoice expiry in minutes (Between 10 and 1440)"
          },
          "provider": {
            "type": "string",
            "enum": [
              "OPENNODE",
              "LIGHTSPARK"
            ],
            "description": "Lightning provider to use for the top-up"
          },
          "proposedRate": {
            "type": "string",
            "description": "An optional proposed BTC/EUR rate to honor for the standing order that pays out this top-up. Validated against the current market rate.",
            "minLength": 1,
            "maxLength": 50
          },
          "fillOrKillAtProposedRate": {
            "type": "boolean",
            "description": "When true, the standing order payout is only executed if the proposedRate can be honored, otherwise it is killed."
          },
          "counterpartyId": {
            "type": "string",
            "format": "uuid",
            "description": "Declared travel-rule counterparty for this Lightning deposit. Required when travel rule is enabled for the application."
          }
        }
      },
      "BusinessLightningTopUpResponse": {
        "type": "object",
        "required": [
          "id",
          "description",
          "amount",
          "invoice",
          "expiry"
        ],
        "properties": {
          "id": {
            "type": "string",
            "example": "85c0f778-388d-4828-9066-8de60eb8c035"
          },
          "description": {
            "type": "string",
            "example": "extend methodologies clicks-and-mortar"
          },
          "amount": {
            "type": "string",
            "example": "500"
          },
          "invoice": {
            "type": "string",
            "example": "lntb5u1p30y64npp5w5lp9v25yz4trdc204l2he262jywaehymnqx0mtel0l6lk3r8m9qdpav4u8getwvssx6et5dphkgmmvdankjetnyp3kc6trddej6ctwvskk6mmjw3shycqzpgxqzjhsp5cnstd43825ttacu682m39d6frdttz7wkucx3lr8je9p2yhtqtvvs9qyyssqr5m7s4x8a9efvumqcynj30jaf05pkd0d7f0a8jplgqqyvg7um8lxqp6y63m7mmvc2qvx93lr0tvvyjarmpapcnfcqaz23as5q8r99sspguqp9z"
          },
          "expiry": {
            "type": "integer",
            "example": 1660054794
          }
        }
      },
      "AuthError": {
        "type": "object",
        "description": "Invalid authentication header",
        "required": [
          "message",
          "errorCode",
          "errorDetails"
        ],
        "properties": {
          "message": {
            "type": "string",
            "enum": [
              "Invalid authentication header"
            ]
          },
          "errorCode": {
            "type": "string",
            "enum": [
              "30014"
            ]
          },
          "errorDetails": {
            "type": "string"
          }
        }
      },
      "BadRequestError": {
        "type": "object",
        "description": "Bad request error",
        "required": [
          "message",
          "errorCode",
          "errorDetails"
        ],
        "properties": {
          "message": {
            "type": "string",
            "enum": [
              "Bad request error"
            ]
          },
          "errorCode": {
            "type": "string",
            "enum": [
              "00013"
            ]
          },
          "errorDetails": {
            "type": "string"
          }
        }
      },
      "RequestValidationError": {
        "type": "object",
        "description": "Invalid request body fields",
        "required": [
          "message",
          "errorCode",
          "errorDetails"
        ],
        "properties": {
          "message": {
            "type": "string",
            "enum": [
              "Invalid fields"
            ]
          },
          "errorCode": {
            "type": "string",
            "enum": [
              "00002"
            ]
          },
          "errorDetails": {
            "type": "array",
            "items": {
              "type": "object",
              "required": [
                "msg",
                "param"
              ],
              "properties": {
                "msg": {
                  "type": "string"
                },
                "param": {
                  "type": "string"
                },
                "location": {
                  "type": "string"
                }
              }
            }
          }
        }
      },
      "InvalidApplicationIdError": {
        "type": "object",
        "description": "Invalid ApplicationId",
        "required": [
          "message",
          "errorCode",
          "errorDetails"
        ],
        "properties": {
          "message": {
            "type": "string",
            "enum": [
              "applicationId is required"
            ]
          },
          "errorCode": {
            "type": "string",
            "enum": [
              "00000"
            ]
          },
          "errorDetails": {
            "type": "string"
          }
        }
      },
      "BusinessNotFoundError": {
        "type": "object",
        "description": "Business details not found for the given businessId",
        "required": [
          "message",
          "errorCode",
          "errorDetails"
        ],
        "properties": {
          "message": {
            "type": "string",
            "enum": [
              "Business details not found for the given businessId"
            ]
          },
          "errorCode": {
            "type": "string",
            "enum": [
              "41004"
            ]
          },
          "errorDetails": {
            "type": "string"
          }
        }
      },
      "GenericBusinessLightningTopUpError": {
        "type": "object",
        "description": "Generic lightning topup error",
        "required": [
          "message",
          "errorCode",
          "errorDetails"
        ],
        "properties": {
          "message": {
            "type": "string",
            "enum": [
              "Unknown generic lightning topup error"
            ]
          },
          "errorCode": {
            "type": "string",
            "enum": [
              "32014"
            ]
          },
          "errorDetails": {
            "type": "string"
          }
        }
      },
      "WalletOwnerMismatchError": {
        "type": "object",
        "description": "Owner mismatch error",
        "required": [
          "message",
          "errorCode",
          "errorDetails"
        ],
        "properties": {
          "message": {
            "type": "string",
            "enum": [
              "Owner mismatch error"
            ]
          },
          "errorCode": {
            "type": "string",
            "enum": [
              "30029"
            ]
          },
          "errorDetails": {
            "type": "string"
          }
        }
      },
      "BusinessUnapprovedIdentityError": {
        "type": "object",
        "description": "Unapproved identity error",
        "required": [
          "message",
          "errorCode",
          "errorDetails"
        ],
        "properties": {
          "message": {
            "type": "string",
            "enum": [
              "Unapproved identity"
            ]
          },
          "errorCode": {
            "type": "string",
            "enum": [
              "30007"
            ]
          },
          "errorDetails": {
            "type": "string"
          }
        }
      },
      "BusinessSuspendedError": {
        "type": "object",
        "description": "Business suspended error",
        "required": [
          "message",
          "errorCode",
          "errorDetails"
        ],
        "properties": {
          "message": {
            "type": "string",
            "enum": [
              "Business is suspended"
            ]
          },
          "errorCode": {
            "type": "string",
            "enum": [
              "30046"
            ]
          },
          "errorDetails": {
            "type": "string"
          }
        }
      },
      "WalletAccountNotActiveError": {
        "type": "object",
        "description": "Account not active error",
        "required": [
          "message",
          "errorCode",
          "errorDetails"
        ],
        "properties": {
          "message": {
            "type": "string",
            "enum": [
              "Account not active error"
            ]
          },
          "errorCode": {
            "type": "string",
            "enum": [
              "61001"
            ]
          },
          "errorDetails": {
            "type": "string"
          }
        }
      }
    }
  }
}
```